Plymouthd constantly using 5% of CPU time

Bug #1240376 reported by LeonMaxx on 2013-10-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kubuntu PPA
Undecided
Unassigned
kde-workspace (Ubuntu)
Low
Harald Sitter

Bug Description

On fresh install of Kubuntu 12.04.3, a process named "plymouthd" always using 5% of CPU on working system, even after login. I asked this question on AskUbuntu, they recommends me to report a bug.

1) The release of Ubuntu you are using, via 'lsb_release -rd' or System -> About Ubuntu
Description: Ubuntu 12.04.3 LTS
Release: 12.04

2) The version of the package you are using, via 'apt-cache policy pkgname'
plymouth package version: 0.8.2-2ubuntu31.1

3) What you expected to happen
plymouthd should'nt use any resources after i logged in to my desktop.

4) What happened instead
plymouthd always using 5% of CPU
Link to AskUbuntu question with screenshot of "top": http://askubuntu.com/questions/359714/plymouth-always-use-cpu

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: plymouth 0.8.2-2ubuntu31.1
ProcVersionSignature: Ubuntu 3.8.0-31.46~precise1-generic 3.8.13.8
Uname: Linux 3.8.0-31-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu17.5
Architecture: amd64
Date: Wed Oct 16 09:52:40 2013
DefaultPlymouth: /lib/plymouth/themes/kubuntu-logo/kubuntu-logo.plymouth
InstallationMedia: Kubuntu 12.04.3 LTS "Precise Pangolin" - Release amd64 (20130820.1)
MachineType: To be filled by O.E.M. To be filled by O.E.M.
MarkForUpload: True
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-31-generic root=UUID=d900acd9-c955-47c4-8df5-c4fbf92ae386 ro quiet splash vt.handoff=7
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-31-generic root=UUID=d900acd9-c955-47c4-8df5-c4fbf92ae386 ro quiet splash vt.handoff=7
SourcePackage: plymouth
TextPlymouth: /lib/plymouth/themes/kubuntu-text/kubuntu-text.plymouth
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/16/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1604
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: M5A99X EVO
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1604:bd10/16/2012:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKCOMPUTERINC.:rnM5A99XEVO:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.

LeonMaxx (leonmaxx) wrote :
Steve Langasek (vorlon) wrote :

Kubuntu 12.04 uses kdm as its login manager; kdm is responsible for stopping plymouthd before it launches X. Reassigning to kdm, since this problem has not been reported when using lightdm.

This may be related to bug #982889; it appears kdm has not implemented the corresponding changes to improve reliability of plymouth handling at boot.

You can check whether the fix for bug #982889 solves this for you by editing /etc/init/kdm.conf on your system and changing the 'start' rule to read:

start on ((filesystem
           and runlevel [!06]
           and started dbus
           and plymouth-ready)
          or runlevel PREVLEVEL=S)

affects: plymouth (Ubuntu) → kde-workspace (Ubuntu)
LeonMaxx (leonmaxx) wrote :

Forgot to mention in report, I used Kubuntu backports ppa to update KDE on my installation.

I changed 'start' rule in /etc/init/kdm.conf to:

start on ((filesystem
           and runlevel [!06]
           and started dbus
           and plymouth-ready
           and (drm-device-added card0 PRIMARY_DEVICE_FOR_DISPLAY=1
                or stopped udev-fallback-graphics))
          or runlevel PREVLEVEL=S)

This did'nt changed anything, plymouthd is still eating 5% of CPU on background.

On Wed, Oct 16, 2013 at 07:37:10PM -0000, LeonMaxx wrote:
> I changed 'start' rule in /etc/init/kdm.conf to:

> start on ((filesystem
> and runlevel [!06]
> and started dbus
> and plymouth-ready
> and (drm-device-added card0 PRIMARY_DEVICE_FOR_DISPLAY=1
> or stopped udev-fallback-graphics))
> or runlevel PREVLEVEL=S)

That is not what I said to change it to.

LeonMaxx (leonmaxx) wrote :

> That is not what I said to change it to.

Ok, changed 'start' rule to exactly match Your variant, plymouthd is still here and eating CPU time.

Steve Langasek (vorlon) wrote :

Ok. Just to be sure, you rebooted after making that change to the config file, correct?

LeonMaxx (leonmaxx) wrote :

Yes.

Steve Langasek (vorlon) wrote :

Ok. Appears to be an unrelated bug in kdm then.

LeonMaxx (leonmaxx) wrote :

I re-installed my system to see on which update step this bug arrives. It comes after upgrading system from Kubuntu backports ppa.

Steps to reproduce (exactly what I did):
1. Clean install Kubuntu 12.04.3.
2. Update kernel to 3.8:
  sudo apt-get install --install-recommends linux-generic-lts-raring
  reboot
3. Enable Kubuntu backports ppa:
  sudo add-apt-repository ppa:kubuntu-ppa/backports
4. Update system:
  sudo apt-get update
  sudo apt-get dist-upgrade
  reboot
5. After login check if plymouth is running:
  ps xa | grep plymouthd

Harald Sitter (apachelogger) wrote :

http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace/revision/721

before exec

        # Since we have no plymouth integration to take over the VT we simply
        # quit plymouth all the time. Note that sleeping appears necessary
        # as the VT freeing is somewhat delayed and KDM would otherwise go
        # to configured KVT+1 (if plymouth was using it).
        $(plymouth --quit && plymouth --wait && sleep 1) || :

so unless plymouth --quit doesn't actually quit on 12.04 I don't see how plymouth could be running at all using kubuntu-backports which supposedly includes r721.

Steve, any thoughts?

affects: kdebase-workspace → kubuntu-ppa
Steve Langasek (vorlon) wrote :

Harald, the command is "plymouth quit", not "plymouth --quit". The failure if this command being masked by the || : ...

If you guys don't intend the kdm package to integrate with plymouth any longer, the plymouth upstart job should be updated to not special-case kdm.

Harald Sitter (apachelogger) wrote :

Thanks, I put down a todo to update plymouth for trusty.

Changed in kde-workspace (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
importance: Medium → Low
assignee: nobody → Harald Sitter (apachelogger)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-workspace - 4:4.11.3-0ubuntu1

---------------
kde-workspace (4:4.11.3-0ubuntu1) trusty; urgency=low

  [ Harald Sitter ]
  * Use correct plymouth commands in kdm.upstart to make sure plymouth
    quits. LP: #1240376
  * And because we like to introduce regressions over and over and over
    and over and over again... here comes another regression fix:
    Move silly stripes.png wallpaper to kdm package (it is part of kdm and
    only used in kdm and we don't want nor need it in a default install).
    kdm replaces and breaks kde-workspace-data (<< 4:4.11.2-0ubuntu2~)
    - The next person to move it back will be in serious trouble.

  [ Philip Muškovac ]
  * New upstream bugfix release
  * Refresh place_global_config_in_etc.diff
 -- Harald Sitter <email address hidden> Mon, 18 Nov 2013 01:55:10 +0100

Changed in kde-workspace (Ubuntu):
status: Fix Committed → Fix Released
Simon Quigley (tsimonq2) wrote :

Thank you for taking the time to report this bug and helping to make Kubuntu better. We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner. There have been many changes in Kubuntu since that time you reported the bug and your problem may have been fixed with some of the updates. It would help us a lot if you could test it on a currently supported Kubuntu version. If you test it and it is still an issue, kindly upload the updated logs by running only once:
apport-collect 1240376

and any other logs that are relevant for this particular issue.

Changed in kubuntu-ppa:
status: New → Incomplete
Changed in kde-workspace (Ubuntu):
status: Fix Released → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for Kubuntu PPA because there has been no activity for 60 days.]

Changed in kubuntu-ppa:
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers